# GZCompressAction Class Reference

Inherits Action.

List of all members.

## Public Member Functions

| GZCompressAction (const File &source, const File &destination, bool deleteSource)
| Constructor.
virtual bool | execute (log4cxx::helpers::Pool &pool) const
| Perform action.

## Constructor & Destructor Documentation

GZCompressAction | ( | const File & | source,
|  | const File & | destination,
|  | bool | deleteSource
| ) |

| Constructor.

## Member Function Documentation

virtual bool execute | ( | log4cxx::helpers::Pool & | pool | ) | const`[virtual]`

Perform action.

Returns:
  true if successful.

Implements Action.

The documentation for this class was generated from the following file:

- gzcompressaction.h